<script src='https://www.google.com/recaptcha/api.js'></script>
<div class="container-fluid container-agency">
  <div class="container">
    <hr class="bg-grey mt-0">
    <div class="d-flex flex-column flex-sm-row flex-md-row flex-lg-row justify-content-between">
		<div class="d-flex flex-column">
			<div class="h4 mb-0"><?= $this->agency->name ?></div>

			<div > <?= ($this->agency->escorts_count > 1 ? $this->agency->escorts_count .' ' . __('escorts') : $this->agency->escorts_count. ' ' . __('escort') ) ?> , <i class="ion-eye"></i>  <?= $this->agency->hit_count ?> <?= $this->t('views') ?>, <i class="ion-calendar"></i> <?= $this->t('last_modified') ?>: <?= ($this->agency->last_modified) ? date("d M Y", strtotime($this->agency->last_modified)) : '---' ?> 
      </div>
		</div> 

		<? if($this->agency->phone): ?>	
			<? $filtered_phone =  (isset($this->agency->phone_country_id)) ? '+'.Model_Countries::getPhonePrefixById($this->agency->phone_country_id) . ltrim($this->agency->phone, '0') : ltrim($this->agency->phone, '0'); ?>	
			<div class="d-flex flex-column flex-sm-column flex-md-row flex-lg-row justify-content-between agency-phone">
			   <a class="agency-phone-number my-1 mr-2" href="tel:<?=$filtered_phone ?>"><i class="ion-android-call"></i> Call: <?= $filtered_phone ?></a>
			</div>
		<? endif; ?>	
     
    </div>
    <hr class="bg-grey mt-3">
 </div>
 
<div class="container">
	<div class="row">
		<div class="col-lg-3 py-2">
    
      <? $m = new Model_AgencyItem($this->agency); ?>
			<img class="agency-photo img-fluid" src="<?= ($this->agency->logo_hash) ? $m->getLogoUrlV2($this->agency->logo_hash, $this->agency->logo_ext, 'agency_thumb') : _st('agency_no_logo_big.jpg') ?>" alt="<?= __('agency') ?> <?= $this->agency->club_name ?>">	 
		   
			<div class="agency-data">
				<a href="<?= $this->getLink('escorts', array('city' => $this->agency->city_slug, 'filter' => null, 'page' => null)) ?>" >
				  <div class="agency-location"><i class="ion-location"></i> <?= $this->agency->city_name ? $this->agency->city_name.', ' : '' ?> <?= $this->agency->country_name ?></div>
        </a>
      	<div class="agency-website">
            <?
                if ( $this->agency->web )
                {
                    $link = $this->agency->web;
                    if ( ! preg_match('#^http(s)?://#', $link) ) $link = 'http://' . $link;
                }
            ?>
          <a target="_blank" href="<?= $link ? $link : '' ?>">
          <i class="ion-earth"></i><?= ($this->agency->web ? ' Visit Website' : ' Website unavailable') ?>
          </a>
        </div>
        <div class="agency-website"><i class="ion-paper-airplane"></i> <a href="#" class="agency_write_me">Write us</a></div>
			</div>
		</div>
		<div class="col-sm-12 col-md-12 col-lg-9 py-2 ">
			<? if ( strlen($this->agency->{'about_en'}) ): ?>
				<div class="agency-about-us"><?= $this->t('about_us') ?></div>
				<div class="agency-description"><?= $this->agency->{'about_en'} ?></div>
			<? endif; ?> 	
		</div>
	</div>
</div>

 <div class="container agnecy-escorts-carousel-container mb-5">
   <hr class="bg-grey mt-3">

   <div class="agnecy-escorts-carousel mb-3">

    <?php foreach ($this->a_escorts as $escort):?>
    <? $a_escort = new Model_EscortItem($escort); ?>
   
    <div class="escort-carousel<?= $a_escort->is_inactive ? ' inactive' : ''?>">
        <a href="<?= $this->getLink('profile', array('escort_id' => $escort->id, 'showname' => $escort->showname)) ?>">
            <? if ( $escort->is_inactive): ?>
                <div class="ribbon inactive"><span>Inactive</span></div>
            <? endif ?>
          <img class="img-fluid" alt="<?= ($escort->showname ? $escort->showname : '') ?>" 
          src="<?=  $a_escort->getMainPhoto()->getUrl('agency_escorts_slider') ?>" >
          <div class="escort-info flex-column flex-md-row flex-lg-row flex-xl-row">
            <div class="escort-showname"><?= ($escort->showname ? $escort->showname : '') ?></div>
            <div class="escort-price">
              <? 
               $currencies = Model_Currencies::getAllAssoc(2);
               $rate_str = '';
                if ( $escort->incall_price && isset($currencies[$escort->incall_currency]) ) {
                  $curr = $currencies[$escort->incall_currency];
                  $rate_str = $curr . ' ' .$escort->incall_price;
                }
                elseif ( $escort->outcall_price && isset($currencies[$escort->outcall_currency]) ) {
                  $curr = $currencies[$escort->outcall_currency];
                  $rate_str = $curr . ' ' .$escort->outcall_price;
                }
                echo($rate_str)
              ?>
            </div>
          </div>
        </a>
      </div>
    <?php endforeach; ?>
  </div>

  <? if($this->agency->escorts_count > 4): ?>
    <div class="d-flex justify-content-center justify-content-lg-end ">
      <a href="<?= $this->getLink('agency-escorts', array('agency_slug' => $this->agency->name , 'agency_id' => $this->agency->id)) ?>">
        <button class="btn btn-blue my-3 text-uppercase ">
           View Escorts (<?= $this->agency->escorts_count ?>)
        </button>
      </a>
    </div>
  <?php endif; ?>
 </div>


</div>

<div class="modal fade" id="write_email_to_agency" tabindex="-1" role="dialog"
     aria-labelledby="write_email_to_escortLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Write Email To <?= $this->agency->name; ?>!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="write_email_to_agency_form">
                <div class="modal-body">
                    <input type="hidden" name="to" value="<?= $this->agency->id;?>">
                    <div class="form-group">
                        <label for="name-feedback">Your Name:</label>
                        <input id="name-feedback" type="text" name="name" class="form-control"/>
                        <p id="name-feedback-error" class="error-report text-danger"></p>
                    </div>
                    <div class="form-group">
                        <label for="email-feedback">Your E-Mail:<span class="text-danger">*</span></label>
                        <input id="email-feedback" type="text" name="email" class="form-control"/>
                        <p id="email-feedback-error" class="error-report text-danger"></p>
                    </div>

                    <div class="form-group">
                        <label for="message-feedback">Message:<span class="text-danger">*</span></label>
                        <textarea id="message-feedback" name="message" class="form-control"></textarea>
                        <p id="message-feedback-error" class="error-report text-danger"></p>
                    </div>

                    <div class="form-group">
                        <div class="g-recaptcha" data-sitekey="6LepoyYUAAAAACCpSCw5toi7ajR5s00d9gIKf9hr"></div>
                        <? if ( isset($this->errors['captcha']) ): ?><span class="text-danger"><?= $this->errors['captcha'] ?></span><? endif ?>
                        <p id="captcha-feedback-error" class="error-report text-danger"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button class="btn btn-primary" data-id="<?= $this->agency->id;?>">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>
